Direct Debit · API reference · charges
List Charges
Base URL not set in the spec · operationId list_charges_charges_get
List charges with cursor-based pagination.
Filters:
- customer_id: Filter by customer UUID
- instrument_id: Filter by instrument UUID
- reference: Filter by exact reference match
- created_at_from: Filter charges created on or after this date
- created_at_to: Filter charges created on or before this date
- result_at_from: Filter charges with result on or after this date
- result_at_to: Filter charges with result on or before this date
- instrument_identifier: Filter by instrument identifier (inline or linked)
Pagination:
- cursor: Opaque cursor from previous response
- Use
next_cursorfrom response for next page
Authorization
The spec does not declare an authentication scheme for this endpoint.
Query parameters
limit integer Maximum number of records to return
cursor string | null Cursor for pagination (use next_cursor from previous response)
customer_id string (uuid) | null Filter by customer ID
instrument_id string (uuid) | null Filter by instrument ID
reference string | null Filter by reference
created_at_from string (date-time) | null Filter charges created on or after this date
created_at_to string (date-time) | null Filter charges created on or before this date
result_at_from string (date-time) | null Filter charges with result on or after this date
result_at_to string (date-time) | null Filter charges with result on or before this date
instrument_identifier string | null Filter by instrument identifier (searches both inline and linked instruments)
Headers
X-API-Key string | null Responses
200 Successful Response application/json
charges array of ChargeResponse requiredorg_id charges[].org_id string (uuid) requiredID of the organization
instrument_id charges[].instrument_id string (uuid) | null ID of the payment instrument
customer_id charges[].customer_id string (uuid) | null ID of the customer
amount charges[].amount number requiredCharge amount
currency charges[].currency string | null Currency code
mxn cop brl usd eur gbp reference charges[].reference string | null Reference provided by tenant
inline_instrument charges[].inline_instrument object | null Inline instrument data
inline_customer charges[].inline_customer object | null Inline customer data
id charges[].id string (uuid) requiredstatus charges[].status string requiredCharge status enum.
verification_in_progress pending processing confirmed declined chargeback canceled declined_reason charges[].declined_reason string | null insufficient_funds account_blocked undetermined risk_engine account_does_not_exist account_canceled account_in_other_currency account_not_belongs_to_bank transaction_duplicated client_order_declined_pay_to_issuer client_order_amount_is_more_than_authorized client_order_canceled client_service_not_authorized payment_order_expired client_rejected_charge declined_reason_rail charges[].declined_reason_rail string | null created_at charges[].created_at string (date-time) requiredupdated_at charges[].updated_at string (date-time) | null chargeback_at charges[].chargeback_at string (date-time) | null result_at charges[].result_at string (date-time) | null risk_status charges[].risk_status string | null pending ok cancelled_by_risk risk_evaluated_at charges[].risk_evaluated_at string (date-time) | null risk_reasons charges[].risk_reasons array of string | null limit integer requiredhas_next boolean has_previous boolean next_cursor string | null 422 Validation Error application/json
detail array of ValidationError loc detail[].loc array of (string | integer) requiredmsg detail[].msg string requiredtype detail[].type string requiredRequest
curl -X GET "$BASE_URL/charges" \
-H "X-API-Key: $API_KEY"const res = await fetch(`${BASE_URL}/charges`, {
method: "GET",
headers: {
"X-API-Key": API_KEY,
},
});
const data = await res.json();import requests
res = requests.get(
f"{BASE_URL}/charges",
headers={
"X-API-Key": API_KEY,
},
)
data = res.json()